Subject: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp
From: Jim Porter <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jun 2022 11:43:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

To see this in action:

   $ cat file.txt
   hi

   $ emacs -Q
   C-x C-f /ssh:localhost:~/file.txt

   $ echo bye >> file.txt

Back in Emacs, type anything into the buffer. It should ask, "file.txt 
changed on disk; really edit the buffer?" However, it doesn't. (It does 
still provide a warning you when you save though.)

Note: this used to work in Emacs 27, and works again in Emacs 29, but 
Emacs 28 fails.

Strangely, I updated Tramp from GNU ELPA and the bug went away, but only 
until I restarted Emacs; then it returned. I haven't had time to try and 
reliably reproduce this part though, so that might just be a coincidence.